
Foreman - Tracker #32133

Move fact parsers from plugins to the core repository

03/19/2021 11:49 AM - Marek Hulán

Status: Ready For Testing % Done: 100%

Priority: Normal   

Assignee: Dominik Matoulek   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

As mentioned in the plan at https://community.theforeman.org/t/the-road-to-making-puppet-optional/17983 all fact parsers should

move to core, this means

Rhsm parser from katello

ansible parser

chef parser

salt parser

IMHO we can copy the classes with the name scope as they are and open PRs against the plugins removing them. Further

refactoring can be done as a follow up.

Subtasks:

Feature # 32517: Move RHSM parser to Core Closed

Feature # 32518: Move Ansible Parser to Core Closed

Feature # 32548: Move Salt parser to Core Closed

Feature # 32558: Move Chef parser to core Closed

Related issues:

Related to Ansible - Bug #32494: remove fact parser Closed

Related to Katello - Feature #32524: Remove rhsm parser and importer Closed

Related to Salt - Feature #32550: remove fact parser and importer Closed

Related to Chef - Feature #32559: Remove fact parser and importer Closed

History

#1 - 05/03/2021 01:54 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Dominik Matoulek

#2 - 05/03/2021 02:09 PM - Dominik Matoulek

- Related to Bug #32494: remove fact parser added

#3 - 05/05/2021 12:48 PM - Dominik Matoulek

- Related to Feature #32524: Remove rhsm parser and importer added

#4 - 05/06/2021 01:13 PM - Dominik Matoulek

- Related to Feature #32550: remove fact parser and importer added

#5 - 05/07/2021 05:53 AM - Dominik Matoulek

- Related to Feature #32559: Remove fact parser and importer added
